(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14076,        465]
NotebookOptionsPosition[     12925,        436]
NotebookOutlinePosition[     13356,        454]
CellTagsIndexPosition[     13313,        451]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"A", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ME", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"p", ",", "i"}], "]"}], 
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"q", ",", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"p", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", "2"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TA", "[", "X_", "]"}], ":=", 
  RowBox[{"A", ".", "X", ".", 
   RowBox[{"Inverse", "[", "A", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.8612212589658184`*^9, 3.861221321732644*^9}, {
  3.8612213855511045`*^9, 3.861221437409046*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"0434eada-fe58-483c-a4cc-2a53247bcbfe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}]], "Input",
 CellLabel->"In[9]:=",ExpressionUUID->"529c7d2c-cfc0-4758-9936-67c057ae9cb1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"a", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"a", " ", "b"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"c", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"b", " ", "c"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"b", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["b", "2"], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        SuperscriptBox["d", "2"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"b", " ", "d"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"a", " ", "c"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        SuperscriptBox["a", "2"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["c", "2"], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        RowBox[{"a", " ", "c"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"b", " ", "c"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        RowBox[{"a", " ", "b"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"c", " ", "d"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        RowBox[{"a", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.861221607444423*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"87fcd79b-e05e-4b4f-b9e5-1128377e6c15"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
   RowBox[{"TA", "[", 
    RowBox[{
     RowBox[{"ME", "[", 
      RowBox[{"1", ",", "1"}], "]"}], "-", 
     RowBox[{"ME", "[", 
      RowBox[{"2", ",", "2"}], "]"}]}], "]"}], ",", 
   RowBox[{"TA", "[", 
    RowBox[{"ME", "[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.861222669621914*^9, 3.86122268035187*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"89e7cdac-debc-4257-83ce-2179957f8d2a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"a", " ", "c"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        SuperscriptBox["a", "2"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["c", "2"], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       FractionBox[
        RowBox[{"a", " ", "c"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"b", " ", "c"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]], "+", 
        FractionBox[
         RowBox[{"a", " ", "d"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "a", " ", "b"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"2", " ", "c", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"b", " ", "c"}], 
          RowBox[{
           RowBox[{
            RowBox[{"-", "b"}], " ", "c"}], "+", 
           RowBox[{"a", " ", "d"}]}]]}], "-", 
        FractionBox[
         RowBox[{"a", " ", "d"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"b", " ", "d"}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["b", "2"], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        SuperscriptBox["d", "2"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "b"}], " ", "c"}], "+", 
         RowBox[{"a", " ", "d"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"b", " ", "d"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "b"}], " ", "c"}], "+", 
          RowBox[{"a", " ", "d"}]}]]}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8612226610736475`*^9, 3.8612226806798663`*^9}},
 CellLabel->"Out[23]=",ExpressionUUID->"9dc6e2fb-2b11-48ef-9305-3af99cec6add"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TAB", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ".", "X", ".", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8612251776946497`*^9, 3.8612251953313904`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"6ddabaf8-fbb0-46ad-9fbc-7ba24d0f93d2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"MatrixForm", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"TAB", "[", 
      RowBox[{"ME", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"TAB", "[", 
      RowBox[{"ME", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"TAB", "[", 
      RowBox[{"ME", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8612252076050105`*^9, 3.8612252228608656`*^9}, {
   3.861225266182396*^9, 3.861225305509224*^9}, 3.861225370246605*^9},
 CellLabel->"In[13]:=",ExpressionUUID->"10262031-9ffc-4b02-89f0-fc2b7748c863"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"2", "2"},
       {"0", "0"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "2"},
       {"0", "0"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "3"},
       {"0", "1"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{{3.8612252785463285`*^9, 3.8612253057125244`*^9}, 
   3.8612253704653015`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"932fafac-a428-4c44-9254-e69059a318a3"]
}, Open  ]]
},
WindowSize->{958, 492},
WindowMargins->{{-3, Automatic}, {-3, Automatic}},
Magnification->1.5,
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (2021\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"95b975d4-8c76-411e-9ea0-b3fd238a8b18"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1038, 30, 178, "Input",ExpressionUUID->"0434eada-fe58-483c-a4cc-2a53247bcbfe"],
Cell[CellGroupData[{
Cell[1621, 54, 518, 15, 43, "Input",ExpressionUUID->"529c7d2c-cfc0-4758-9936-67c057ae9cb1"],
Cell[2142, 71, 3789, 132, 236, "Output",ExpressionUUID->"87fcd79b-e05e-4b4f-b9e5-1128377e6c15"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5968, 208, 573, 16, 43, "Input",ExpressionUUID->"89e7cdac-debc-4257-83ce-2179957f8d2a"],
Cell[6544, 226, 3356, 114, 182, "Output",ExpressionUUID->"9dc6e2fb-2b11-48ef-9305-3af99cec6add"]
}, Open  ]],
Cell[9915, 343, 604, 18, 45, "Input",ExpressionUUID->"6ddabaf8-fbb0-46ad-9fbc-7ba24d0f93d2"],
Cell[CellGroupData[{
Cell[10544, 365, 650, 16, 66, "Input",ExpressionUUID->"10262031-9ffc-4b02-89f0-fc2b7748c863"],
Cell[11197, 383, 1712, 50, 73, "Output",ExpressionUUID->"932fafac-a428-4c44-9254-e69059a318a3"]
}, Open  ]]
}
]
*)

