(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18736,        591]
NotebookOptionsPosition[     15624,        528]
NotebookOutlinePosition[     16055,        546]
CellTagsIndexPosition[     16012,        543]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"P", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "3"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "8"}], ",", "0"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", ":=", 
   RowBox[{"Inverse", "[", "P", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8613947312786922`*^9, 3.8613947335609846`*^9}, {
  3.861395103068939*^9, 3.8613951309260693`*^9}, {3.8613952096066833`*^9, 
  3.861395214810417*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"f9ede5d5-e6ed-4ba3-8dc3-8a7ca2bfbaee"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Inverse", "[", "P", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.861395132646469*^9, 3.8613951384795995`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"385b03b5-8ddf-4807-b43a-4b0edacf308a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "2"}], 
      RowBox[{"-", "1"}], "1"},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"0", "2", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.861395134631191*^9, 3.8613951396824775`*^9}},
 CellLabel->
  "Out[4]//MatrixForm=",ExpressionUUID->"1cea881b-672c-4b07-b875-\
89ad1f30884c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Q", ".", "A"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.8613952185623727`*^9, 3.8613952242217627`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"228e8486-0e1b-4d55-a1a7-768ed643fb35"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "4"}], 
      RowBox[{"-", "2"}], "2"},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8613952197820177`*^9, 3.861395224518584*^9}},
 CellLabel->
  "Out[9]//MatrixForm=",ExpressionUUID->"17f7fe7a-9d33-4d65-9239-\
519f2db3bd1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Q", ".", "A", ".", "P"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.861395229454524*^9, 3.8613952297214622`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"b9170d96-d8bd-4780-bd57-e3f97b64b623"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "0", "0"},
     {"0", "1", "0"},
     {"0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8613952300637445`*^9},
 CellLabel->
  "Out[10]//MatrixForm=",ExpressionUUID->"4c7cee0c-02eb-4b7f-8856-\
6a971fa6ef27"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"u", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"-", "1"}], "}"}], ",", 
     RowBox[{"{", "2", "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "3", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"-", "2"}], "}"}], ",", 
     RowBox[{"{", "4", "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"w", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"-", "1"}], "}"}], ",", 
     RowBox[{"{", "3", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.861395429192828*^9, 3.8613954794524574`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"43be0d01-14e0-47ae-844c-9844e5815d39"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A", ".", "u"}], "-", 
  RowBox[{"2", "u"}]}]], "Input",
 CellChangeTimes->{{3.8613954578178067`*^9, 3.8613954603485217`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"75cd4346-9a3d-4bec-8315-9266620dd945"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8613954617704315`*^9, 3.8613954830478134`*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"8e220fb2-fbb6-4ec2-89b7-e222385d546f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A", ".", "v"}], "-", "v"}]], "Input",
 CellChangeTimes->{{3.8613955100839176`*^9, 3.861395511068454*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"9669bb80-b6b2-4f0a-805d-1b7ff8f8bbae"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.86139551177101*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"bc48eb56-6f69-42f9-a366-0fddda530ce6"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"P", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "-", "I"}], ",", "0", ",", 
       RowBox[{"1", "+", "I"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "I"}], ",", "1", ",", "I"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8614067253529806`*^9, 3.8614067727564254`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"d989d150-0b23-4314-ada4-e44679d60e88"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"4", "*", 
   RowBox[{"Inverse", "[", "P", "]"}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.86140677427159*^9, 3.8614067967482953`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"a68de196-3e9d-41d8-a297-2a9ac1ae1bed"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "-", "\[ImaginaryI]"}], 
      RowBox[{"1", "+", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[ImaginaryI]"}]},
     {"2", 
      RowBox[{"-", "2"}], "2"},
     {
      RowBox[{"1", "+", "\[ImaginaryI]"}], 
      RowBox[{"1", "-", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "-", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8614067878548765`*^9, 3.861406797513748*^9}},
 CellLabel->
  "Out[5]//MatrixForm=",ExpressionUUID->"dbafb249-9ec6-426d-9e47-\
96788adc05d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"4", "*", 
   RowBox[{
    RowBox[{"Inverse", "[", "P", "]"}], ".", "B"}]}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.8614073788894486`*^9, 3.8614073814536076`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"e343e053-5be3-426e-95bf-6a77dfe0126d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "+", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "-", "\[ImaginaryI]"}]},
     {
      RowBox[{"-", "2"}], "2", 
      RowBox[{"-", "2"}]},
     {
      RowBox[{"1", "-", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "-", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8614073817347956`*^9},
 CellLabel->
  "Out[6]//MatrixForm=",ExpressionUUID->"910d1435-bb79-483d-ad99-\
0a5b9e3eda54"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Inverse", "[", "P", "]"}], ".", "B", ".", "P"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.8614073898309493`*^9, 3.861407393038004*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"c73e5772-7e5d-4155-88e1-8bfe5eabce06"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\[ImaginaryI]", "0", "0"},
     {"0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.861407393520928*^9},
 CellLabel->
  "Out[7]//MatrixForm=",ExpressionUUID->"4b7690ac-3ad1-4e65-b1ab-\
2fa065fe2fcb"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"P", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.861416351347836*^9, 3.8614163875621767`*^9}, {
  3.861416450604987*^9, 3.861416479405489*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"7b9f24e1-8437-4d75-b92b-9b906dc9a8d5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Inverse", "[", "P", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{3.8614164912396574`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"44ff6889-9950-4945-9180-ba34f4cd27bb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["3", "4"], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "4"]}]},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "4"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8614164914734163`*^9},
 CellLabel->
  "Out[17]//MatrixForm=",ExpressionUUID->"7b250b85-8922-49f8-95e6-\
78b59dfdc1fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Inverse", "[", "P", "]"}], ".", "B"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{3.8614164946317945`*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"0083263d-6bec-43aa-8df9-2b7a7f82535a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "4"], 
      FractionBox["1", "2"], 
      FractionBox["1", "4"]},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"]},
     {
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "4"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8614164948657255`*^9},
 CellLabel->
  "Out[18]//MatrixForm=",ExpressionUUID->"f08327aa-22a7-4d78-8853-\
f4f7e73a9e37"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Inverse", "[", "P", "]"}], ".", "B", ".", "P"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.861416389390563*^9, 3.861416400716834*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"42b98c48-63cf-4314-8269-facab909f892"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "0"},
     {"0", "1", "0"},
     {"0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86141640101342*^9, {3.861416462050026*^9, 3.8614164802175016`*^9}},
 CellLabel->
  "Out[16]//MatrixForm=",ExpressionUUID->"77313034-ef10-4fd6-8b5b-\
2c6e6f9aafaf"]
}, Open  ]]
},
WindowSize->{958, 1032},
WindowMargins->{{Automatic, -3}, {Automatic, 0}},
Magnification->1.5,
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (2021\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"27416d0f-5923-44ca-a4bd-238fb72a2a4a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1179, 37, 124, "Input",ExpressionUUID->"f9ede5d5-e6ed-4ba3-8dc3-8a7ca2bfbaee"],
Cell[CellGroupData[{
Cell[1762, 61, 239, 4, 66, "Input",ExpressionUUID->"385b03b5-8ddf-4807-b43a-4b0edacf308a"],
Cell[2004, 67, 765, 24, 118, "Output",ExpressionUUID->"1cea881b-672c-4b07-b875-89ad1f30884c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2806, 96, 230, 4, 66, "Input",ExpressionUUID->"228e8486-0e1b-4d55-a1a7-768ed643fb35"],
Cell[3039, 102, 765, 24, 118, "Output",ExpressionUUID->"17f7fe7a-9d33-4d65-9239-519f2db3bd1f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3841, 131, 239, 4, 66, "Input",ExpressionUUID->"b9170d96-d8bd-4780-bd57-e3f97b64b623"],
Cell[4083, 137, 654, 20, 118, "Output",ExpressionUUID->"4c7cee0c-02eb-4b7f-8856-6a971fa6ef27"]
}, Open  ]],
Cell[4752, 160, 832, 26, 102, "Input",ExpressionUUID->"43be0d01-14e0-47ae-844c-9844e5815d39"],
Cell[CellGroupData[{
Cell[5609, 190, 239, 5, 43, "Input",ExpressionUUID->"75cd4346-9a3d-4bec-8315-9266620dd945"],
Cell[5851, 197, 304, 7, 49, "Output",ExpressionUUID->"8e220fb2-fbb6-4ec2-89b7-e222385d546f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6192, 209, 219, 4, 43, "Input",ExpressionUUID->"9669bb80-b6b2-4f0a-805d-1b7ff8f8bbae"],
Cell[6414, 215, 275, 7, 49, "Output",ExpressionUUID->"bc48eb56-6f69-42f9-a366-0fddda530ce6"]
}, Open  ]],
Cell[6704, 225, 934, 29, 97, "Input",ExpressionUUID->"d989d150-0b23-4314-ada4-e44679d60e88"],
Cell[CellGroupData[{
Cell[7663, 258, 262, 5, 66, "Input",ExpressionUUID->"a68de196-3e9d-41d8-a297-2a9ac1ae1bed"],
Cell[7928, 265, 979, 29, 118, "Output",ExpressionUUID->"dbafb249-9ec6-426d-9e47-96788adc05d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8944, 299, 293, 7, 66, "Input",ExpressionUUID->"e343e053-5be3-426e-95bf-6a77dfe0126d"],
Cell[9240, 308, 1023, 32, 118, "Output",ExpressionUUID->"910d1435-bb79-483d-ad99-0a5b9e3eda54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10300, 345, 276, 6, 66, "Input",ExpressionUUID->"c73e5772-7e5d-4155-88e1-8bfe5eabce06"],
Cell[10579, 353, 719, 22, 118, "Output",ExpressionUUID->"4b7690ac-3ad1-4e65-b1ab-2fa065fe2fcb"]
}, Open  ]],
Cell[11313, 378, 883, 27, 73, "Input",ExpressionUUID->"7b9f24e1-8437-4d75-b92b-9b906dc9a8d5"],
Cell[CellGroupData[{
Cell[12221, 409, 216, 4, 66, "Input",ExpressionUUID->"44ff6889-9950-4945-9180-ba34f4cd27bb"],
Cell[12440, 415, 923, 31, 148, "Output",ExpressionUUID->"7b250b85-8922-49f8-95e6-78b59dfdc1fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13400, 451, 243, 6, 66, "Input",ExpressionUUID->"0083263d-6bec-43aa-8df9-2b7a7f82535a"],
Cell[13646, 459, 923, 31, 148, "Output",ExpressionUUID->"f08327aa-22a7-4d78-8853-f4f7e73a9e37"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14606, 495, 275, 6, 66, "Input",ExpressionUUID->"42b98c48-63cf-4314-8269-facab909f892"],
Cell[14884, 503, 724, 22, 118, "Output",ExpressionUUID->"77313034-ef10-4fd6-8b5b-2c6e6f9aafaf"]
}, Open  ]]
}
]
*)

